# $Revision: 1.15 $, $Date: 2002/03/06 14:00:52 $
Summary:	Portable x86 PC Emulator
Summary(pl):	Przenony emulator x86 PC
Name:		bochs
Version:	1.3
Release:	1
License:	GPL
Group:		Applications/Emulators
Source0:	http://prdownloads.sourceforge.net/bochs/%{name}-%{version}.tar.gz
URL:		http://bochs.sourceforge.net/
BuildRequires:	XFree86-devel
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bochs is a portable x86 PC emulation software package that emulates
enough of the x86 CPU, related AT hardware, and BIOS to run DOS,
Windows '95, Minix 2.0, and other OS's, all on your workstation.

%description -l pl
Bochs jest przenonym emulatorem x86 PC emulujcym wystarczajco duo
architektury procesora x86 oraz hardware'u AT i BIOS-u eby uruchomi
DOS-a, Windows'95, Minix 2.0 i inne systemu operacyjne, wszystkie na
Twoim komputerze.

%prep
%setup -q

%build
%configure2_13 \
	--with-x \
	--enable-cpu-level=5 \
	--enable-vga \
	--enable-fpu \
	--enable-cdrom \
	--with-x11
%{__make}
cd font
#for i in vga.bdf hercules.bdf;
#do
#	bdftopcf $i -o `basename $i .bdf`.pcf
#done;
# vga.pcf has moved to XFree86-fonts
bdftopcf hercules.bdf -o hercules.pcf
cd ..

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/{%{_bindir},%{_datadir}/bochs/bios,%{_datadir}/fonts/misc,%{_mandir}/man1}
install bochs install-x11-fonts bximage $RPM_BUILD_ROOT/%{_bindir}
install bios/BIOS-bochs-latest* bios/VGABIOS-elpin-2.40 $RPM_BUILD_ROOT%{_datadir}/bochs/bios
install doc/man/{bochs,bochsrc,bximage}.1 $RPM_BUILD_ROOT%{_mandir}/man1

mv -f .bochsrc .brc
echo "Example .bochrc file - put it into selected directory and modify" \
     "path to images" >.bochsrc
sed -e 's#bios#%{_datadir}/bochs/bios#g' <.brc >>.bochsrc

gzip -9nf bios/VGABIOS-elpin-LICENSE .bochsrc font/*.pcf CHANGES TESTFORM.txt

install font/hercules.pcf* $RPM_BUILD_ROOT%{_datadir}/fonts/misc

%clean
rm -rf $RPM_BUILD_ROOT
%post
if [ -x /usr/X11R6/bin/mkfontdir ]; then
        (cd /usr/share/fonts/misc; /usr/X11R6/bin/mkfontdir)
fi
killall -USR1 xfs > /dev/null 2>&1 ||:

%postun
if [ -x /usr/X11R6/bin/mkfontdir ]; then
        (cd /usr/share/fonts/misc; /usr/X11R6/bin/mkfontdir)
fi
killall -USR1 xfs > /dev/null 2>&1 ||:

%files
%defattr(644,root,root,755)
%doc docs-html/*.html bios/VGABIOS-elpin-LICENSE* .bochsrc* *.gz
%attr(755,root,root) %{_bindir}/bochs
%attr(755,root,root) %{_bindir}/bximage
%dir %{_datadir}/bochs
%{_datadir}/bochs/*
%{_datadir}/fonts/misc/*.pcf*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: bochs.spec,v $
Revision 1.15  2002/03/06 14:00:52  alchemyx
- upgraded to 1.3
- bochs-dlx.1 removed from manpages
- vga.pcf _really_ removed
- no gzipping of html files
- added bximage to binaries
- STBR

Revision 1.14  2002/02/23 01:33:37  kloczek
- adapterized.

Revision 1.13  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/01/18 02:12:31  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/12/16 18:03:29  juandon
- vga.pcf moved to XFree86-fonts

Revision 1.10  2001/09/30 00:36:18  czarny
small fixes

Revision 1.9  2001/08/09 19:27:17  blues
- %configure2_13

Revision 1.8  2001/06/13 20:41:46  blues
- 1.2.1
- changes in %install and %files
- added man pages and more docs

Revision 1.7  2001/06/13 20:13:29  kloczek
- added XFree86-devel and libstdc++-devel to BuildRequires.
NOTE: probably it will be good prepare desktop file for bosh (?).

Revision 1.6  2001/06/13 19:44:11  blues
- corrected URL and sources path

Revision 1.5  2001/06/13 19:28:15  blues
-typo

Revision 1.4  2001/06/13 08:32:24  undefine
- added fonts
- STB?

Revision 1.3  2001/06/12 08:20:34  undefine
- updated to 1.1.2

Revision 1.2  2000/12/07 02:46:00  agaran
$Log fixing

